Skip to main content
PATCH
/
api
/
develop
/
v1
/
customer-project-templates
/
{id}
Update a customer project template
curl --request PATCH \
  --url https://api.example.com/api/develop/v1/customer-project-templates/{id} \
  --header 'Content-Type: application/json' \
  --header 'X-Domino-Api-Key: <api-key>' \
  --data '
{
  "collaborators": [
    {
      "id": "<string>",
      "role": "template_user"
    }
  ],
  "description": "<string>",
  "isCompanyOfficial": true,
  "name": "<string>",
  "tagNames": [
    "<string>"
  ]
}
'
{
  "access": {
    "collaborators": [
      {
        "id": "<string>",
        "role": "template_user"
      }
    ]
  },
  "categories": [
    "<string>"
  ],
  "created": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "isCompanyOfficial": true,
  "name": "<string>",
  "owner": {
    "name": "<string>",
    "link": "<string>"
  },
  "updated": "2023-11-07T05:31:56Z",
  "definition": {
    "backingProject": {
      "id": "<string>",
      "name": "<string>",
      "owner": {
        "username": "<string>"
      }
    },
    "settings": {
      "defaultEnvironmentRevision": {
        "environment": {
          "id": "<string>",
          "name": "<string>"
        },
        "id": "<string>"
      },
      "defaultHardwareTier": {
        "id": "<string>",
        "name": "<string>"
      },
      "computeClusterEnvironmentRevision": {
        "environment": {
          "id": "<string>",
          "name": "<string>"
        },
        "id": "<string>"
      }
    }
  },
  "isArchived": true,
  "sourceProject": {
    "id": "<string>",
    "included": [],
    "name": "<string>",
    "owner": {
      "username": "<string>"
    }
  },
  "base64Logo": "<string>",
  "description": "<string>",
  "license": "<string>",
  "recommended": true,
  "revisionId": "<string>"
}

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

id
string
required

The id of the project template to update.

Pattern: ^[0-9a-f]{24}$

Body

application/json

Template updates

collaborators
object[]

The updated list of collaborators for the template. Will overwrite the existing list.

description
string

The new description for the template

isCompanyOfficial
boolean

Whether or not to mark this template as official, indicating that it has been vetted by your company.

name
string

The new name for the template

tagNames
string[]

The updated list of tags for the template. Will overwrite the existing list.

visibility
enum<string>

The new visibility for the template

Available options:
private,
all_non_anonymous_users

Response

Success

access
object
required
categories
string[]
required
created
string<date-time>
required
id
string
required
isCompanyOfficial
boolean
required

Whether or not this template is marked as official

name
string
required
owner
object
required
templateType
enum<string>
required
Available options:
customer,
ecosystem
updated
string<date-time>
required
definition
object
required
isArchived
boolean
required
sourceProject
object
required
description
string
license
string
revisionId
string